Bug 478185 - Ajax-based Web Management Console Penrose
Ajax-based Web Management Console Penrose
Status: NEW
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:07 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:07:09 EST
We are looking to split between the management console and mapping editor. 

The Penrose Studio will continue to be an Eclipse RCP based nativeclient application. While a web-management console will be based on  an AJAX-based framework running on Jetty/Tomcat instance on the server side. 

The goal is to take advantage of AJAX frameworks, such as EXT (Jquery and YUI), Qooxdoo. This will simplify the installation/administration of Penrose Server  and to provide a rich-GUI functionality to administrator to perform mapping function. 

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            },
                            {
                              'name' => 'Installation',
                              'id' => '10016'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-213',
          'assignee' => 'jimyang',
          'summary' => 'Ajax-based Web Management Console Penrose',
          'id' => '10641',
          'updated' => '2008-11-11 11:19:09.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'We are looking to split between the management console and mapping editor. 

The Penrose Studio will continue to be an Eclipse RCP based nativeclient application. While a web-management console will be based on  an AJAX-based framework running on Jetty/Tomcat instance on the server side. 

The goal is to take advantage of AJAX frameworks, such as EXT (Jquery and YUI), Qooxdoo. This will simplify the installation/administration of Penrose Server  and to provide a rich-GUI functionality to administrator to perform mapping function. ',
          'created' => '2007-03-25 12:22:42.0',
          'type' => '4'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.